# Package org.eclipse.microprofile.openapi.annotations.parameters

@Version("1.2") @ProviderType package org.eclipse.microprofile.openapi.annotations.parameters
A set of annotations to describe and encapsulate operation parameters and operation's request body.

Example usage:

     @Produces("application/json")
      public Response getReviewById(
              @Parameter(
                  name = "id",
                  description = "ID of the booking",
                  required = true,
                  in = ParameterIn.PATH,
                  content = @Content(
                      examples = @ExampleObject(
                          name = "example",
                          value = "1")))
              @PathParam("id") int id)

Related Packages
Package
Description
org.eclipse.microprofile.openapi.annotations
A set of annotations, many derived from Swagger Core library.
Annotation Types
Class
Description
Parameter
Describes a single operation parameter
Parameters
This object encapsulates input parameters
RequestBody
Describes a single request body.
RequestBodySchema
Provides a reference to a class that (after introspection) describes the schema for a single request body.